GNU bug report logs - #55685
29.0.50; emacs-lisp-mode in minibuffer causes it to be less responsive

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jean Louis <bugs@HIDDEN>; Keywords: notabug moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 55685 <at> debbugs.gnu.org and Jean Louis <bugs@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55685 <at> debbugs.gnu.org:


Received: (at 55685) by debbugs.gnu.org; 26 Jun 2022 15:05:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 26 11:05:35 2022
Received: from localhost ([127.0.0.1]:48650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o5TpP-0002Ok-AI
	for submit <at> debbugs.gnu.org; Sun, 26 Jun 2022 11:05:35 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55374)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o5TpF-0002O9-3Z
 for 55685 <at> debbugs.gnu.org; Sun, 26 Jun 2022 11:05:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Yd+zAW38X7fiPBHITRpgyu1VSfiFzUdBem/IRMKo6j4=; b=MSTxTiWrZls70tJtLDdaf6Uror
 82SDzUVig+L+TOOT9gvfljOBPWv96GQ6MrpnYO+muLoF07gHj89P9807zKDHEAW6mNrG1hMLwwDR9
 3MexZ6HSzVw2zVOtDC0pOiR3hhMDETz+LKPSylel3myjSt8mc3svfETrkXmYaSVQtrEs=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o5Tp4-0003CI-Ov; Sun, 26 Jun 2022 17:05:17 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#55685: 29.0.50; emacs-lisp-mode in minibuffer causes it to
 be less responsive
References: <86pmjyrgy2.fsf@HIDDEN> <83fskumc35.fsf@HIDDEN>
 <16AA0EA0-0C9D-4BF6-A357-4F4FAF4882DA@HIDDEN>
 <835ylqm75e.fsf@HIDDEN>
Date: Sun, 26 Jun 2022 17:05:12 +0200
In-Reply-To: <835ylqm75e.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 28 May
 2022 10:46:21 +0300")
Message-ID: <87h747ea8n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > Isn't that expected?
 RET exits the minibuffer because it has a > binding in the minibuffer-mode's
 keymap. But you changed the major > mode to emacs-lisp-mode, so now RET does
 something very differen [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55685
Cc: 55685 <at> debbugs.gnu.org, Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Isn't that expected?  RET exits the minibuffer because it has a
> binding in the minibuffer-mode's keymap.  But you changed the major
> mode to emacs-lisp-mode, so now RET does something very different.

So this doesn't seem to be a bug, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55685; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55685 <at> debbugs.gnu.org:


Received: (at 55685) by debbugs.gnu.org; 28 May 2022 07:46:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 28 03:46:32 2022
Received: from localhost ([127.0.0.1]:36361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nur9b-0005wh-R5
	for submit <at> debbugs.gnu.org; Sat, 28 May 2022 03:46:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nur9Z-0005wR-Kf
 for 55685 <at> debbugs.gnu.org; Sat, 28 May 2022 03:46:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53272)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nur9T-0005pk-Ua; Sat, 28 May 2022 03:46:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=SUDwu4xFzcC4JHxQX+eTzrUM2OI67dQEpRZAFmWSYUM=; b=qvftyoZADbz6
 NSD3FoctUGFsOuUT+gS0WsS5uhU2taDaq0+j+UDNnDqlvgAGV1pbLA3GBwHvJNgmlecXL09sjcsK5
 VxvO13pN9+w7aGhL0tiszOXau1kyku2lxNe5NOgcsYdi2VRveQOzpGcTnLTjNRfwnvWyspuaEf7T9
 XR74SbVarlLyWZwK+nxHiTkTTY1vdEVJ1QNNaVJWclP7TJhKi5QUxft97awhO22nzoXP0MIajXQEG
 dSAZnHJPSBzABXUuhOc61XJ4x4Irjap8aUgrBychuNPkOmpB5IpZvef4e0oPnAbAxWAtN88udjWgH
 zulwpRTc+5eGUBFePotKIg==;
Received: from [87.69.77.57] (port=3628 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nur9T-0005hM-Dx; Sat, 28 May 2022 03:46:23 -0400
Date: Sat, 28 May 2022 10:46:21 +0300
Message-Id: <835ylqm75e.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <16AA0EA0-0C9D-4BF6-A357-4F4FAF4882DA@HIDDEN> (message from
 Jean Louis on Sat, 28 May 2022 07:10:05 +0000)
Subject: Re: bug#55685: 29.0.50;
 emacs-lisp-mode in minibuffer causes it to be less responsive
References: <86pmjyrgy2.fsf@HIDDEN> <83fskumc35.fsf@HIDDEN>
 <16AA0EA0-0C9D-4BF6-A357-4F4FAF4882DA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55685
Cc: 55685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 28 May 2022 07:10:05 +0000
> CC: 55685 <at> debbugs.gnu.org
> From: Jean Louis <bugs@HIDDEN>
> 
> I started with emacs -Q
> 
> read-from-minibuffer anything
> 
> recursive minibuffers is on
> 
> M-x emacs-lisp-mode
> 
> Then when I press enter it does not work, is not accepted by read-from-minibuffer and C-g does not work, but ESC 3 times does.

Isn't that expected?  RET exits the minibuffer because it has a
binding in the minibuffer-mode's keymap.  But you changed the major
mode to emacs-lisp-mode, so now RET does something very different.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55685; Package emacs. Full text available.

Message received at 55685 <at> debbugs.gnu.org:


Received: (at 55685) by debbugs.gnu.org; 28 May 2022 07:10:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 28 03:10:22 2022
Received: from localhost ([127.0.0.1]:36323 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuqac-00053P-Ed
	for submit <at> debbugs.gnu.org; Sat, 28 May 2022 03:10:22 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:51629)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1nuqaa-00053G-Ol
 for 55685 <at> debbugs.gnu.org; Sat, 28 May 2022 03:10:21 -0400
Received: from [154.231.6.13] ([::ffff:154.231.6.13])
 (AUTH: PLAIN admin, TLS: TLS1.2,128bits,ECDHE_RSA_AES_128_GCM_SHA256)
 by stw1.rcdrun.com with ESMTPSA
 id 0000000000087C4E.000000006291CADA.000021CD; Sat, 28 May 2022 00:10:18 -0700
Date: Sat, 28 May 2022 07:10:05 +0000
In-Reply-To: <83fskumc35.fsf@HIDDEN>
References: <86pmjyrgy2.fsf@HIDDEN> <83fskumc35.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#55685: 29.0.50;
 emacs-lisp-mode in minibuffer causes it to be less responsive
To: Eli Zaretskii <eliz@HIDDEN>
From: Jean Louis <bugs@HIDDEN>
Message-ID: <16AA0EA0-0C9D-4BF6-A357-4F4FAF4882DA@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55685
Cc: 55685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I started with emacs -Q

read-from-minibuffer anything

recursive minibuffers is on

M-x emacs-lisp-mode

Then when I press enter it does not work, is not accepted by read-from-min=
ibuffer and C-g does not work, but ESC 3 times does=2E


Jean




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55685; Package emacs. Full text available.

Message received at 55685 <at> debbugs.gnu.org:


Received: (at 55685) by debbugs.gnu.org; 28 May 2022 05:59:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 28 01:59:56 2022
Received: from localhost ([127.0.0.1]:36241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nupUR-00016j-TQ
	for submit <at> debbugs.gnu.org; Sat, 28 May 2022 01:59:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nupUN-00016V-3B
 for 55685 <at> debbugs.gnu.org; Sat, 28 May 2022 01:59:53 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51310)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nupUG-0006es-Oi; Sat, 28 May 2022 01:59:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=kFX1WwRVaiLf7uRL1UiHos/rSBhBKyNS/6yFhGaqfMY=; b=jkLy+eLZPsOd
 JtuIctJkuGA3OICnQydGRUwKM97d2Uvn6mznxZeTrn77FH0eHdK0iJ1EQfQAaaeVxR5qGDbBwJsze
 398lm4HSkZ5NaCvIwa7IVIwsFbf+LWwaQINjVkID1O8qEN1O5ZbCnmyTckKeh/bE7dX2BnYJNM/ll
 TbtaUbf2OgdRASxF+MWH/4Bull3NSNXJ3j+lPkw1BWBGAY5CxnCpX39yRYqFNL6Y9P/T88I9Dedmf
 LYgKPWv/LzOshxvSWweCT9+2S8JomhCtYKajoR3eq/TJA4DPQVw819ZXJnIognhKF+T8iYbQ33CRJ
 wb5t+BlrGq4/6OC9m5IJfw==;
Received: from [87.69.77.57] (port=4935 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nupUF-0004SA-Lm; Sat, 28 May 2022 01:59:44 -0400
Date: Sat, 28 May 2022 08:59:42 +0300
Message-Id: <83fskumc35.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <86pmjyrgy2.fsf@HIDDEN> (message from Jean Louis on
 Fri, 27 May 2022 21:03:33 +0300)
Subject: Re: bug#55685: 29.0.50;
 emacs-lisp-mode in minibuffer causes it to be less responsive
References: <86pmjyrgy2.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55685
Cc: 55685 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jean Louis <bugs@HIDDEN>
> Date: Fri, 27 May 2022 21:03:33 +0300
> 
> 
> I have offen some string editing in minibuffer, one string I wanted to
> edit with emacs-lisp-mode
> 
> Then I have noticed that RET does not work anymore, I could not submit
> any more the minibuffer text.
> 
> I have also noticed that C-g repeatedly did not work, I could not break
> the loop and the minibuffer stayed with the editing of string.
> 
> Then I have tried multiple ESC ESC ESC and that worked.
> 
> I still think that this is somehow bug as even if I change the mode, the
> minibuffer should let me submit information with RET, or at least I
> should be able to interrupt it with to me rather common C-g

Please show a recipe starting from "emacs -Q" to reproduce the issue.
Also, relative to what Emacs version you think the behavior has
changed?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55685; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 May 2022 23:35:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 27 19:35:21 2022
Received: from localhost ([127.0.0.1]:36034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nujUH-0008M3-DZ
	for submit <at> debbugs.gnu.org; Fri, 27 May 2022 19:35:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:43950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <admin@HIDDEN>) id 1nujUD-0008Lt-ID
 for submit <at> debbugs.gnu.org; Fri, 27 May 2022 19:35:20 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41498)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1nujUD-0003vb-9P
 for bug-gnu-emacs@HIDDEN; Fri, 27 May 2022 19:35:17 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:34125)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1nujUB-00038f-5U
 for bug-gnu-emacs@HIDDEN; Fri, 27 May 2022 19:35:16 -0400
Received: from localhost ([::ffff:154.231.6.13])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 0000000000087C4C.0000000062916010.000001BD; Fri, 27 May 2022 16:34:39 -0700
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; emacs-lisp-mode in minibuffer causes it to be less responsive
Date: Fri, 27 May 2022 21:03:33 +0300
Message-ID: <86pmjyrgy2.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=217.170.207.13;
 envelope-from=admin@HIDDEN; helo=stw1.rcdrun.com
X-Spam_score_int: 0
X-Spam_score: -0.1
X-Spam_bar: /
X-Spam_report: (-0.1 / 5.0 requ) BAYES_00=-1.9, DATE_IN_PAST_03_06=1.592,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)


I have offen some string editing in minibuffer, one string I wanted to
edit with emacs-lisp-mode

Then I have noticed that RET does not work anymore, I could not submit
any more the minibuffer text.

I have also noticed that C-g repeatedly did not work, I could not break
the loop and the minibuffer stayed with the editing of string.

Then I have tried multiple ESC ESC ESC and that worked.

I still think that this is somehow bug as even if I change the mode, the
minibuffer should let me submit information with RET, or at least I
should be able to interrupt it with to me rather common C-g


In GNU Emacs 29.0.50 (build 6, x86_64-pc-linux-gnu, X toolkit, cairo version 1.17.4, Xaw3d scroll bars)
 of 2022-05-10 built on protected.rcdrun.com
Repository revision: 57b69ff39c1ec7aa74f2a19bd4c4de9f67a7df84
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Parabola GNU/Linux-libre

Configured using:
 'configure --with-x-toolkit=lucid'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP X11 XAW3D XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: ELisp/d

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg
rfc6068 epg-config gnus-util time-date mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils cl-extra cl-print
misearch multi-isearch vc-filewise vc-rcs log-view easy-mmode pcvs-util
bookmark text-property-search face-remap savehist minibuf-eldef mb-depth
icomplete cus-edit pp cus-start cus-load wid-edit thingatpt help-fns
radix-tree help-mode seq gv subr-x byte-opt bytecomp byte-compile cconv
cl-loaddefs cl-lib iso-transl tooltip eldoc paren electric uniquify
ediff-hook vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice simple cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
xinput2 x multi-tty make-network-process emacs)

Memory information:
((conses 16 78893 12778)
 (symbols 48 8815 1)
 (strings 32 25521 2038)
 (string-bytes 1 759718)
 (vectors 16 14769)
 (vector-slots 8 200580 11728)
 (floats 8 42 82)
 (intervals 56 814 896)
 (buffers 992 19))

-- 
Thanks,
Jean Louis

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns





Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55685; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 26 Jun 2022 15:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.